# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Module-Load
Epoch:		1
Version:	0.36
Release:	1.%{__distinit}%{__distvers}
Summary:	Runtime require of both modules and files
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Module-Load
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Load-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.94
BuildRequires:	perl(vars)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Module::Load eliminates the need to know whether you are trying to
require either a file or a module.

%prep
%setup -q -n Module-Load-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc CHANGES README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Load.3*

%changelog
* Tue Sep 29 2020 Paul Howarth <paul@city-fan.org> - 1:0.36-1
- Update to 0.36
  - Fixed E<gt> in POD (GH#6)
  - Make Module-Load strict-compliant (GH#7)

* Mon Feb 11 2019 Paul Howarth <paul@city-fan.org> - 1:0.34-1
- Update to 0.34
  - Added SEE ALSO section to documentation (CPAN RT#100575)
  - Unreachable code clean-up (https://github.com/jib/cpanplus-devel/pull/15)

* Wed Jun 27 2018 Paul Howarth <paul@city-fan.org> - 1:0.32-416
- Perl 5.28 rebuild

* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 1:0.32-395
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop workaround for building with Test::More < 0.94

* Tue Sep  6 2016 Paul Howarth <paul@city-fan.org> - 1:0.32-365
- Classify buildreqs by usage
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4

* Fri Feb 21 2014 Paul Howarth <paul@city-fan.org> - 1:0.32-1
- Update to 0.32
  - Fix tests to support statically built perls
- Update patch for building with Test::More < 0.94

* Sat Jan 25 2014 Paul Howarth <paul@city-fan.org> - 1:0.30-1
- Update to 0.30
  - Fix 'uninitialized' warnings during testing
  - Added done_testing() to tests
- Update patch for building with Test::More < 0.96 (now 0.94)
- Drop upstreamed warnings patch

* Mon Jan  6 2014 Paul Howarth <paul@city-fan.org> - 1:0.28-1
- Update to 0.28
  - New functions added
  - Fix 'Prototype after' warnings
- Add patch to support building with Test::More < 0.96
- Add patch to avoid 'uninitialized' warnings

* Sat Jul 13 2013 Paul Howarth <paul@city-fan.org> - 1:0.24-3
- Perl 5.18 rebuild

* Fri Apr  5 2013 Paul Howarth <paul@city-fan.org> - 1:0.24-2
- Bump epoch as per the Fedora version

* Mon Feb  4 2013 Paul Howarth <paul@city-fan.org> - 0.24-1
- Update to 0.24
  - Fix loading of modules with apostrophes (CPAN RT#83093)

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 0.22-2
- BR: perl(File::Spec)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Oct  5 2011 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22
  - Resolve possible security problem (http://goo.gl/YzHRU) where a '::'
    prefixed module can 'jump' out of @INC

* Mon Aug  1 2011 Paul Howarth <paul@city-fan.org> - 0.20-1
- Update to 0.20
  - Fix CPAN RT#69886: trailing '::' silently ignored

* Fri Jul  1 2011 Paul Howarth <paul@city-fan.org> - 0.18-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 0.18-1
- Import from Fedora
- Update to 0.18
- This release by BINGOS → update source URL

* Mon Oct 15 2007 Steven Pritchard <steve@kspei.com> - 0.12-1
- Update to 0.12
- Update License tag
- Include CHANGES doc
- BR: Test::More

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> - 0.10-3
- Use fixperms macro instead of our own chmod incantation
- BR: ExtUtils::MakeMaker

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> - 0.10-2
- Fix find option order

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> - 0.10-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Modify description slightly
- Capitalize Summary
